# $Revision: 1.22 $, $Date: 2004/04/23 06:43:24 $
Summary:	Library of Assorted Spiffy Things
Summary(pl):	Biblioteka AST (Assorted Spiffy Things)
Name:		libast
Version:	0.5
Release:	5
License:	BSD
Group:		Libraries
Source0:	http://www.eterm.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	335ead8e8168bc06284c822f1f655eb8
Patch0:		%{name}-am18.patch
URL:		http://www.eterm.org/
BuildRequires:	XFree86-devel
BuildRequires:	automake
BuildRequires:	freetype1-devel
BuildRequires:	imlib2-devel
BuildRequires:	pcre-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
LibAST is the Library of Assorted Spiffy Things. It contains various
handy routines and drop-in substitutes for some good-but-non-portable
functions. It currently has a built-in memory tracking subsystem as
well as some debugging aids and other similar tools.

%description -l pl
LibAST to biblioteka Assorted Spiffy Things. Zawiera rne podrczne
procedury i zastpniki niektrych dobrych, ale nie przenonych
funkcji. Aktualnie ma wbudowany system ledzenia pamici, troch
pomocy odpluskwiajcych i par podobnych narzdzi.

%package devel
Summary:	Library of Assorted Spiffy Things header files
Summary(pl):	Pliki nagwkowe biblioteki AST
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and development documentation for libast.

%description devel -l pl
Pliki nagwkowe i dokumentacja programisty do libast.

%package static
Summary:	Libast static libraries
Summary(pl):	Biblioteki statyczne libast
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Libast static libraries.

%description static -l pl
Biblioteki statyczne libast.

%prep
%setup -q
%patch0 -p1

%build
cp /usr/share/automake/config.sub .
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libast.spec,v $
Revision 1.22  2004/04/23 06:43:24  blues
- release 5

Revision 1.21  2004/04/02 13:55:44  qboosh
- added am18 patch, release 4

Revision 1.20  2004/01/05 22:18:29  jajcus
- include aclocal file in the package

Revision 1.19  2004/01/05 22:13:13  jajcus
- update config.sub (for AMD64 support)

Revision 1.18  2003/11/23 05:30:40  speedy
- release 2

Revision 1.17  2003/09/01 16:59:26  qboosh
- fixed descriptions

Revision 1.16  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:49:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/27 23:31:23  radek
- commented out %%{_autoconf} and used %%configure2_13:
  shared libraries were not installed

Revision 1.13  2002/12/29 17:16:14  mkierus
- updated to 0.5

Revision 1.12  2002/11/25 14:16:50  ankry
- massive attack: no need for 755 for *.la

Revision 1.11  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.10  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/05/21 23:13:43  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/03/24 23:28:20  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/23 03:26:01  kloczek
- adapterized.

Revision 1.6  2002/02/22 23:29:10  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/14 22:25:08  qboosh
- missing pl translations, release 2

Revision 1.4  2002/01/18 02:13:37  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/10/09 02:29:50  kloczek
- updated to 0.4.

Revision 1.2  2001/10/03 16:42:52  filon
- changed req for main subpkg in static subpkg to devel
- release 2

Revision 1.1  2001/08/30 18:30:03  areq
- initial PLD package, STBR
